summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rwxr-xr-xtools/mdkinst_stage2_tool5
1 files changed, 4 insertions, 1 deletions
diff --git a/tools/mdkinst_stage2_tool b/tools/mdkinst_stage2_tool
index c1ef5d151..0019ffc86 100755
--- a/tools/mdkinst_stage2_tool
+++ b/tools/mdkinst_stage2_tool
@@ -36,7 +36,10 @@ if [ $ACTION = "--compress" ]; then
[ -d "$LIVE_DIR" ] || error
echo "Creating $COMPRESSED_IMAGE from $LIVE_DIR"
rm -f $STAGE2_DIR/.room
- mksquashfs $LIVE_DIR $COMPRESSED_IMAGE -all-root -noappend >/dev/null || { echo "mksquashfs failed"; exit 1; }
+ if ! mksquashfs $LIVE_DIR $COMPRESSED_IMAGE -all-root -noappend >/dev/null; then
+ echo "mksquashfs failed"
+ exit 1
+ fi
chmod 755 $COMPRESSED_IMAGE
echo foo > $STAGE2_DIR/.room
if [ -s $STAGE2_DIR/.room ]; then